Skip to main content
`Ctrl`+`K`

# PetscHMapIJCreateWithSize

Create a hash table with a given initial size

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJCreateWithSize(PetscInt n, PetscHMapIJ *ht)

## Input Parameter

- n - The size of the hash table

## Output Parameter

- ht - The hash table

## Note

`n` must be non-negative.

## See Also

`PetscHMapIJCreate()`, `PetscHMapIJDestroy()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages